(function ($) {
    'use strict';

    jQuery(document).ready(function () {

        jQuery("body").on("click", "#sendlane-savechanges", function () {
            //console.log("chngd");

            var fdata = {
                action: 'save_sendlane_settings',
                domain: jQuery("#sendlane_domain").val(),
                nc: jQuery("#sendlane_nc").val()
            };

            if (!fdata.domain.trim()) {
                alert("Please enter your subdomain");
                return false;
            }

            jQuery.ajax({
                method: "POST",
                url: ajaxLink.ajaxurl,
                dataType: "html",
                data: fdata,
                beforeSend: function () {
                    jQuery("#sl-saving").slideDown('fast');
                },
                error: function () {
                    jQuery("#sendlane-error").slideDown('fast');
                },
                success: function (response) {
                    //console.log(response);
                    var bckp = jQuery("#sl-saving p").html();

                    jQuery("#sl-saving p").html("SAVED");

                    setTimeout(function () {
                        jQuery("#sl-saving").slideUp('fast').promise().done(function () {
                            jQuery("#sl-saving p").html(bckp);
                        });
                    }, 500);

                }
            });

        });

        jQuery("#sendlane-disconnect").click(function () {

            var $nc = $("#sendlane_nc").val();

            jQuery("#sendlane-error").slideUp('fast');

            jQuery.ajax({
                method: "POST",
                url: ajaxLink.ajaxurl,
                dataType: "html",
                data: { action: 'disconnect_sendlane', nc: $nc },
                beforeSend: function () {
                    jQuery(".connecting").show();
                    jQuery("#sendlane-disconnect").attr("disabled", "disabled");
                },
                error: function () {
                    jQuery(".connecting").hide();
                    jQuery("#sendlane-error").slideDown('fast');
                    jQuery("#sendlane-disconnect").removeAttr("disabled");
                },
                success: function (response) {

                    jQuery(".connecting").hide();
                    jQuery("#sendlane-disconnect").removeAttr("disabled");
                    window.location.reload();

                }
            });

        });


    });

})(jQuery);