<?php

/**
 * Fired once during plugin Activation
 */

class SL_ACTIVATOR
{

    public static function activate()
    {

        global $wpdb, $table_name;

        $table_name = $wpdb->prefix . SL_TABLE;
        $charset = $wpdb->get_charset_collate();

        $sql = "CREATE TABLE $table_name (
			id BIGINT(20) NOT NULL AUTO_INCREMENT,
			name VARCHAR(60),
			surname VARCHAR(60),
			email VARCHAR(100),
			phone VARCHAR(20),
			location VARCHAR(100),
			cart_contents LONGTEXT,
			cart_total DECIMAL(10,2),
			currency VARCHAR(10),
			time DATETIME DEFAULT '0000-00-00 00:00:00',
			session_id VARCHAR(60),
			other_fields LONGTEXT,
      sendlane_response LONGTEXT,
			PRIMARY KEY  (id)
		) $charset;";

        require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
        dbDelta($sql);

        $sql = "ALTER TABLE $table_name AUTO_INCREMENT = 1";
        dbDelta($sql);
    }
}
