<?php

/**
 * Fired when the plugin is uninstalled.
 *
 * @since      1.0
 */

// If uninstall not called from WordPress, then exit.
if (!defined('WP_UNINSTALL_PLUGIN')) {
    exit;
}

//Deletes database table and all it's data on uninstall
global $wpdb;
$table_name = $wpdb->prefix . "sl_abandon_captured";

$wpdb->query("DROP TABLE IF EXISTS $table_name");

delete_option('sendlane_domain');
